Bug 1262182 - The :help command is buggy when invoked from within vimtutor and gvimtutor
The :help command is buggy when invoked from within vimtutor and gvimtutor
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 00:38 EDT by Georgiy Treyvus
Modified: 2016-07-19 13:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:51:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Georgiy Treyvus 2015-09-11 00:38:11 EDT
I already brought this up with Vim's developers with all the relevant details in the mailing list discussion here:
https://groups.google.com/forum/#!topic/vim_dev/tZPJ7mx2FQg

The issue at hand isn't entirely their fault and is the result of Vim not having been packaged properly on Fedora's end.

Possible solutions from the packaging perspective might include not compressing the help files as is currently done in the package, modifying vimtutor to load the gzip plugin if necessary, or perhaps encouraging the Vim developers to implement the changes that I proposed in the mailing list discussion.
Comment 1 Karsten Hopp 2016-04-28 11:12:00 EDT
Actually vim-minimal didn't handle compressed documentation properly either. I'll revert that compression in the next vim version
Comment 2 Fedora Update System 2016-06-03 05:53:14 EDT
vim-7.4.1868-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-28873e4832
Comment 3 Fedora Update System 2016-06-03 05:53:21 EDT
vim-7.4.1868-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a7f36c0c1
Comment 4 Fedora Update System 2016-06-03 05:53:26 EDT
vim-7.4.1868-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2cdb5d5a7c
Comment 5 Fedora Update System 2016-06-04 14:26:21 EDT
vim-7.4.1868-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a7f36c0c1
Comment 6 Fedora Update System 2016-06-04 23:58:40 EDT
vim-7.4.1868-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-28873e4832
Comment 7 Fedora Update System 2016-06-05 03:53:34 EDT
vim-7.4.1868-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2cdb5d5a7c
Comment 8 Fedora Update System 2016-07-09 19:54:39 EDT
vim-7.4.1868-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-07-10 02:00:41 EDT
vim-7.4.1868-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Rob Foehl 2016-07-11 12:10:01 EDT
Can confirm this is fixed in Fedora 24 -- thanks!  :helpgrep works again.
Comment 11 Fedora Update System 2016-07-11 22:23:47 EDT
vim-7.4.1868-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora End Of Life 2016-07-19 13:51:09 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.